Index: /extensions/Copyrights/TODO
===================================================================
--- /extensions/Copyrights/TODO	(revision 11620)
+++ /extensions/Copyrights/TODO	(revision 11621)
@@ -6,9 +6,9 @@
 - Add Icon field to copyrights
 - Show the copyright when image is displayed
-    (It doesnt show the picture, but it does show the name of the copyright)
+    (It doesnt show a picture yet, but it does show the name of the copyright)
 
 === Bugs ===
 	- If you create a new copyright with a name that's already used
 	- Description doesnt show with the copyright info (on the admin page)
-	- The warning triangle saying our plugin does not seem compatible
+	- The warning triangle saying our plugin does not seem compatible (version: ...)
 	- Cannot create a new copyright???
Index: /extensions/Copyrights/batch_single.php
===================================================================
--- /extensions/Copyrights/batch_single.php	(revision 11620)
+++ /extensions/Copyrights/batch_single.php	(revision 11621)
@@ -2,11 +2,11 @@
 
 // Add a prefilter
-add_event_handler('loc_end_element_set_unit', 'set_prefilter_batch_single', 55 );
+add_event_handler('loc_end_element_set_unit', 'CR_set_prefilter_batch_single', 55 );
 add_event_handler('loc_end_element_set_unit', 'CR_batch_single_submit', 55 );
 
 // Change the variables used by the function that changes the template
-//add_event_handler('loc_begin_admin', 'CR_add_bsm_vars_to_template');
+add_event_handler('loc_begin_admin', 'CR_add_batch_single_vars_to_template');
 
-function set_prefilter_batch_single()
+function CR_set_prefilter_batch_single()
 {
 	global $template;
@@ -16,10 +16,10 @@
 function CR_batch_single($content, &$smarty)
 {
-  $search = "#<td><strong>{'Creation date'#"; // Not ideal, but ok for now :)
+	$search = "#<td><strong>{'Creation date'#"; // Not ideal, but ok for now :)
 
-  // We use the <tr> from the Creation date, and give them a new <tr>
-  $replacement = '<td><strong>DWO TESTJE</strong></td>
+	// We use the <tr> from the Creation date, and give them a new <tr>
+	$replacement = '<td><strong>{\'Copyright\'|@translate}</strong></td>
 		<td>
-			DWO TESTJE
+			{html_options name=copyright-{$element.ID} options=$CRoptions}
 		</td>
 	</tr>
@@ -32,61 +32,64 @@
 	// Dit is een interresant testje - deze functie word dus een aantal keren (3) aangeroepen,
 	// en pas de laatste keer is bevat $content meer dan een aantal enters...
-	//return $content.'<div id="dwo_test" style="display: none;">'.$content.'</div>';
+	// return $content.'<div id="dwo_test" style="display: none;">'.$content.'</div>';
 }
 
-function CR_add_bsm_vars_to_template()
+function CR_add_batch_single_vars_to_template()
 {
-  // set template variables ($CRoptions)
-  global $template;
-  load_language('plugin.lang', dirname(__FILE__).'/');
-  // Fetch all the copyrights and assign them to the template
-  $query = sprintf(
-    'SELECT `cr_id`,`name`
-    FROM %s
-    WHERE `visible`<>0
-    ;',
-  COPYRIGHTS_ADMIN);
-  $result = pwg_query($query);
-  $CRoptions = array();
-  while ($row = pwg_db_fetch_assoc($result)) {
-    $CRoptions[$row['cr_id']] = $row['name'];
-  }
-  $template->assign('CRoptions', $CRoptions);
+	global $template;
+
+	load_language('plugin.lang', dirname(__FILE__).'/');
+
+	// Fetch all the copyrights and assign them to the template
+	$query = sprintf(
+		'SELECT `cr_id`,`name`
+		FROM %s
+		WHERE `visible`<>0
+		;',
+		COPYRIGHTS_ADMIN);
+	$result = pwg_query($query);
+
+	$CRoptions = array();
+	while ($row = pwg_db_fetch_assoc($result)) {
+		$CRoptions[$row['cr_id']] = $row['name'];
+	}
+	$template->assign('CRoptions', $CRoptions);
 }
 
 function CR_batch_single_submit()
 {
-  // The image id's:
-  $collection = explode(',', $_POST['element_ids']);
-  
-  // Delete all existing id's of which the Copyright is going to be set
-  if (count($collection) > 0) {
-  $query = sprintf(
-      'DELETE
-      FROM %s
-      WHERE media_id IN (%s)
-      ;',
-    COPYRIGHTS_MEDIA, implode(',', $collection));
-    pwg_query($query);
-  }
-  $edits = array();
-  foreach ($collection as $image_id)
-  {
-    // The copyright id's
-    $crID = pwg_db_real_escape_string($_POST['copyrightID-'.$image_id]);
-    
-    array_push(
-      $edits,
-      array(
-        'media_id' => $image_id,
-        'cr_id' => $crID,
-      )
-    );
-  }
-  mass_inserts(
-    COPYRIGHTS_MEDIA,        // Table name
-    array_keys($edits[0]),   // Columns
-    $edits                   // Data
-  );
+	// The image id's:
+	$collection = explode(',', $_POST['element_ids']);
+
+	// Delete all existing id's of which the Copyright is going to be set
+	if (count($collection) > 0) {
+		$query = sprintf(
+			'DELETE
+			FROM %s
+			WHERE media_id IN (%s)
+			;',
+			COPYRIGHTS_MEDIA, implode(',', $collection));
+		pwg_query($query);
+	}
+	// Add all Copyrights to an array
+	$edits = array();
+	foreach ($collection as $image_id) {
+		// The copyright id's
+		$crID = pwg_db_real_escape_string($_POST['copyrightID-'.$image_id]);
+
+		array_push(
+			$edits,
+			array(
+				'media_id' => $image_id,
+				'cr_id' => $crID,
+			)
+		);
+	}
+	// Add the array to the database
+	mass_inserts(
+		COPYRIGHTS_MEDIA,        // Table name
+		array_keys($edits[0]),   // Columns
+		$edits                   // Data
+	);
 }
 
Index: /extensions/Copyrights/image.php
===================================================================
--- /extensions/Copyrights/image.php	(revision 11620)
+++ /extensions/Copyrights/image.php	(revision 11621)
@@ -17,5 +17,5 @@
 
 // Change the variables used by the function that changes the template
-add_event_handler('loc_begin_picture', 'copyrights_add_vars_to_template');
+add_event_handler('loc_begin_picture', 'copyrights_add_image_vars_to_template');
 
 function copyrights_set_prefilter_add_to_pic_info()
@@ -24,10 +24,8 @@
 	$template->set_prefilter('picture', 'copyrights_add_to_pic_info');
 }
- 
 
- // This function is called by the set_prefilter_add_to_pic_info function. It has something to do with the prefilter stuff, whatever it may be :p
 function copyrights_add_to_pic_info($content, &$smarty)
 {
-	// Voeg de informatie toe na de auteur - dus voor de datum dat ie gemaakt is...
+	// Add the information after the author - so before the createdate
 	$search = '#<tr id="datecreate">#';
 	
@@ -46,5 +44,5 @@
 }
 
-function copyrights_add_vars_to_template()
+function copyrights_add_image_vars_to_template()
 {
 	// For as far as i know i only need the $prefixtable, $page and $template