Index: /extensions/Copyrights/TODO
===================================================================
--- /extensions/Copyrights/TODO	(revision 11634)
+++ /extensions/Copyrights/TODO	(revision 11635)
@@ -1,12 +1,8 @@
 === TODO ===
-- Implement single mode Batch Manager
-    Probably use prefilters combined with "loc_begin_element_set_unit" (found in event tracer)
-	SOURCES: "loc_begin_admin": http://piwigo.org/forum/viewtopic.php?id=17468
-			 "use prefilters": http://piwigo.org/forum/viewtopic.php?id=17551&p=2
-	- This is almost done, except that you need to refresh the batch_unit page, to see the updated copyright
-- Add Icon field to copyrights
-- Show the copyright when image is displayed
-    (It doesnt show a picture yet, but it does show the name of the copyright)
+-	Add Icon field to copyrights
+-	Show the copyright when image is displayed
+	It doesnt show a picture yet, but it does show the name of the copyright
 
 === Bugs ===
-	- If you create a new copyright with a name that's already used (fixed??)
+-	We don't check if the CR url has 'http://' (or is this a TODO?)
+-	Go to "unit mode", click "information", and you wont see the copyright...
Index: /extensions/Copyrights/admin.php
===================================================================
--- /extensions/Copyrights/admin.php	(revision 11634)
+++ /extensions/Copyrights/admin.php	(revision 11635)
@@ -52,5 +52,5 @@
       'SELECT COUNT(*)
       FROM %s
-      WHERE `name` = '%s'
+      WHERE `name` = \'%s\'
       ;',
       COPYRIGHTS_ADMIN, $name);
Index: /extensions/Copyrights/batch_global.tpl
===================================================================
--- /extensions/Copyrights/batch_global.tpl	(revision 11634)
+++ /extensions/Copyrights/batch_global.tpl	(revision 11635)
@@ -1,3 +1,7 @@
 <div id="copyrights">
-  {'Copyright'|@translate} {html_options name=copyrightID options=$CRoptions}
+	{'Copyright'|@translate}
+	<select name="copyrightID">
+		<option value="0">--</option>
+		{html_options options=$CRoptions}
+	</select>
 </div>
Index: /extensions/Copyrights/batch_single.php
===================================================================
--- /extensions/Copyrights/batch_single.php	(revision 11634)
+++ /extensions/Copyrights/batch_single.php	(revision 11635)
@@ -3,5 +3,5 @@
 // Add a prefilter
 add_event_handler('loc_end_element_set_unit', 'CR_set_prefilter_batch_single', 55 );
-add_event_handler('loc_end_element_set_unit', 'CR_batch_single_submit', 50 );
+add_event_handler('loc_begin_element_set_unit', 'CR_batch_single_submit', 50 );
 
 // Change the variables used by the function that changes the template
Index: /extensions/Copyrights/image.php
===================================================================
--- /extensions/Copyrights/image.php	(revision 11634)
+++ /extensions/Copyrights/image.php	(revision 11635)
@@ -35,5 +35,5 @@
 		<td class="value">
 			{if $CR_INFO_NAME}
-			<a target="_blanc" href="{$CR_INFO_URL}" title="{$CR_INFO_NAME}">{$CR_INFO_NAME}</a>
+			<a target="_blanc" href="{$CR_INFO_URL}" title="{$CR_INFO_NAME}: {$CR_INFO_DESCR}">{$CR_INFO_NAME}</a>
 			{else}{\'N/A\'|@translate}{/if}
 		</td>
@@ -57,5 +57,5 @@
 		// Get the copyright name and url (FROM cr_admin) that belongs to the current media_item (FROM cr_media)
 		$query = '
-		  select name, url
+		  select name, url, descr
 		  FROM '.COPYRIGHTS_ADMIN.' NATURAL JOIN '.COPYRIGHTS_MEDIA.'
 		  WHERE media_id = '.$page['image_id'].'
@@ -64,11 +64,11 @@
 		$result = pwg_query($query);
 		$row = pwg_db_fetch_row($result);
+		$name = '';
+		$url = '';
+		$descr = '';
 		if(count($row) > 0) {
 			$name = $row[0];
 			$url = $row[1];
-		}
-		else {
-			$name = '';
-			$url = '';
+			$descr = $row[2];
 		}
 			
@@ -77,5 +77,6 @@
 		array	(
 		'CR_INFO_NAME' => $name,
-		'CR_INFO_URL' => $url
+		'CR_INFO_URL' => $url,
+		'CR_INFO_DESCR' => $descr
 				));
 	}
Index: /extensions/Copyrights/main.inc.php
===================================================================
--- /extensions/Copyrights/main.inc.php	(revision 11634)
+++ /extensions/Copyrights/main.inc.php	(revision 11635)
@@ -2,5 +2,5 @@
 /*
 Plugin Name: Copyrights
-Version: Alpha
+Version: 1.0
 Description: Create copyrights and assign them to your photos.
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=537
Index: /extensions/Copyrights/maintain.inc.php
===================================================================
--- /extensions/Copyrights/maintain.inc.php	(revision 11634)
+++ /extensions/Copyrights/maintain.inc.php	(revision 11635)
@@ -80,9 +80,9 @@
       'name' => 'Creative Commons (BY)',
       'url' => 'http://creativecommons.org/licenses/by/3.0/',
-      'descr' => 'This license lets others distribute, remix, tweak, and build 
-                upon your work, even commercially, as long as they credit you 
-                for the original creation. This is the most accommodating of 
-                licenses offered. Recommended for maximum dissemination and 
-                use of licensed materials.',
+      'descr' => 'This license lets others distribute, remix, tweak, and build '
+                .'upon your work, even commercially, as long as they credit you '
+                .'for the original creation. This is the most accommodating of '
+                .'licenses offered. Recommended for maximum dissemination and '
+                .'use of licensed materials.',
       'visible' => 1
     ),
@@ -90,13 +90,13 @@
       'name' => 'Creative Commons (BY-SA)',
       'url' => 'http://creativecommons.org/licenses/by-sa/3.0/',
-      'descr' => 'This license lets others remix, tweak, and build upon your
-                work even for commercial purposes, as long as they credit you
-                and license their new creations under the identical terms. This
-                license is often compared to “copyleft” free and open source
-                software licenses. All new works based on yours will carry the
-                same license, so any derivatives will also allow commercial
-                use. This is the license used by Wikipedia, and is recommended
-                for materials that would benefit from incorporating content
-                from Wikipedia and similarly licensed projects.',
+      'descr' => 'This license lets others remix, tweak, and build upon your '
+                .'work even for commercial purposes, as long as they credit you '
+                .'and license their new creations under the identical terms. This '
+                .'license is often compared to “copyleft” free and open source '
+                .'software licenses. All new works based on yours will carry the '
+                .'same license, so any derivatives will also allow commercial '
+                .'use. This is the license used by Wikipedia, and is recommended '
+                .'for materials that would benefit from incorporating content '
+                .'from Wikipedia and similarly licensed projects.',
       'visible' => 1
     ),
@@ -104,7 +104,7 @@
       'name' => 'Creative Commons (BY-ND)',
       'url' => 'http://creativecommons.org/licenses/by-nd/3.0/',
-      'descr' => 'This license allows for redistribution, commercial and 
-                non-commercial, as long as it is passed along unchanged and in
-                whole, with credit to you.',
+      'descr' => 'This license allows for redistribution, commercial and '
+                .'non-commercial, as long as it is passed along unchanged and in '
+                .'whole, with credit to you.',
       'visible' => 1
     ),
@@ -112,8 +112,8 @@
       'name' => 'Creative Commons (BY-NC)',
       'url' => 'http://creativecommons.org/licenses/by-nc/3.0/',
-      'descr' => 'This license lets others remix, tweak, and build upon your
-                work non-commercially, and although their new works must also
-                acknowledge you and be non-commercial, they don’t have to
-                license their derivative works on the same terms.',
+      'descr' => 'This license lets others remix, tweak, and build upon your '
+                .'work non-commercially, and although their new works must also '
+                .'acknowledge you and be non-commercial, they don’t have to '
+                .'license their derivative works on the same terms.',
       'visible' => 1
     ),
@@ -121,7 +121,7 @@
       'name' => 'Creative Commons (BY-NC-SA)',
       'url' => 'http://creativecommons.org/licenses/by-nc-sa/3.0/',
-      'descr' => 'This license lets others remix, tweak, and build upon your
-                work non-commercially, as long as they credit you and license
-                their new creations under the identical terms.',
+      'descr' => 'This license lets others remix, tweak, and build upon your '
+                .'work non-commercially, as long as they credit you and license '
+                .'their new creations under the identical terms.',
       'visible' => 1
     ),
@@ -129,8 +129,8 @@
       'name' => 'Creative Commons (BY-NC-ND)',
       'url' => 'http://creativecommons.org/licenses/by-nc-nd/3.0/',
-      'descr' => 'This license is the most restrictive of our six main licenses,
-                only allowing others to download your works and share them with
-                others as long as they credit you, but they can’t change them
-                in any way or use them commercially.',
+      'descr' => 'This license is the most restrictive of our six main licenses, '
+                .'only allowing others to download your works and share them with '
+                .'others as long as they credit you, but they can’t change them '
+                .'in any way or use them commercially.',
       'visible' => 1
     )