Index: /trunk/language/index.php
===================================================================
--- /trunk/language/index.php	(revision 11635)
+++ /trunk/language/index.php	(revision 11636)
@@ -3,5 +3,5 @@
 // | Piwigo - a PHP based photo gallery                                    |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2008-2011 Piwigo Team                  http://piwigo.org |
 // | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
 // | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
Index: /trunk/language/ro_RO/admin.lang.php
===================================================================
--- /trunk/language/ro_RO/admin.lang.php	(revision 11636)
+++ /trunk/language/ro_RO/admin.lang.php	(revision 11636)
@@ -0,0 +1,254 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2011 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+
+$lang['%d association'] = '%d asociatie';
+$lang['%d associations'] = '%d asociatii';
+$lang['%d album including'] = '%d album inclusiv';
+$lang['%d albums including'] = '%d albums inclusiv';
+$lang['%d physical'] = ' %d fizic';
+$lang[' and %d virtual'] = ' si %d virtual';
+$lang['%d album moved'] = '%d album mutata';
+$lang['%d albums moved'] = '%d albums mutate';
+$lang['%d group'] = '%d grup';
+$lang['%d groups'] = '%d grupuri';
+$lang['%d member'] = '%d membru';
+$lang['%d members'] = '%d membrii';
+$lang['%d tag'] = '%d eticheta';
+$lang['%d tags'] = '%d etichete';
+$lang['%d user comment rejected'] = '%d comentariu utilizator respins';
+$lang['%d user comments rejected'] = '%d comentarii utilizator respinse';
+$lang['%d user comment validated'] = '%d comentariu utilizator validat';
+$lang['%d user comments validated'] = '%d comentarii utilizator validate';
+$lang['%d user deleted'] = '%d utilizator sters';
+$lang['%d users deleted'] = '%d utilizatori stersi';
+$lang['%d user'] = '%d utilizator';
+$lang['%d users'] = '%d utilizatori';
+$lang['%d waiting for validation'] = '%d în asteptare pentru validare';
+$lang['Actions'] = 'Actiuni';
+$lang['Activate'] = 'Activa';
+$lang['Add/delete a permalink'] = 'Adaugati / stergeti un link permanent';
+$lang['Add a tag'] = 'Adaugati o eticheta';
+$lang['Add a user'] = 'Adaugati un utilizator';
+$lang['Add group'] = 'Adaugati un grup';
+$lang['Add'] = 'Adauga';
+$lang['Allow user registration'] = 'Permite înregistrarea utilizatorilor';
+$lang['Associated'] = 'Asociat';
+$lang['Batch management'] = 'Gestiune pe loturi';
+$lang['Caddie management'] = 'Gestiunea caruciorului';
+$lang['Caddie'] = 'Carucior';
+$lang['Albums authorized thanks to group associations'] = 'albums autorizate datorita asociatiilor la grupuri';
+$lang['Album photos associated to the following albums: %s'] = 'photoele albumi asociate la urmatoarele albums : %s';
+$lang['Check for upgrade failed for unknown reasons.'] = 'Verificarea pentru ultima versiune a aplicatiei a esuat din motive necunoscute.';
+$lang['Check for upgrade'] = 'Ultima versiune?';
+$lang['Comments for all'] = 'Comentarii pentru toti';
+$lang['Current name'] = 'Numele actual';
+$lang['Database'] = 'Baza de date';
+$lang['Deactivate'] = 'Dezactivare';
+$lang['Delete Representant'] = 'Ștergeți reprezentantul';
+$lang['Delete selected tags'] = 'Ștergeți etichetele selectate';
+$lang['Delete selected users'] = 'Ștergeți utilizatorii selectați';
+$lang['Deletions'] = 'Ștergeri';
+$lang['Deny selected groups'] = 'Restricționați accesul la grupurile selecționate';
+$lang['Deny selected users'] = 'Restricționați accesul la utilizatorii selecționați';
+$lang['Description'] = 'Descriere';
+$lang['Display options'] = 'Opțiuni de afişare';
+$lang['Dissociated'] = 'Disociat de';
+$lang['Does not represent'] = 'Nu reprezintă';
+$lang['Edit photo information'] = 'Modifică informațiile legate de această imagine';
+$lang['Edit selected tags'] = 'Modifică etichetele selecționate';
+$lang['Edit tags'] = 'Modifică etichetele';
+$lang['Email admins when a new user registers'] = 'Anunță administratorii atunci cînd un nou utilizator se înregistrează';
+$lang['Email admins when a valid comment is entered'] = 'Anunță administratorii atunci cînd un comentariu valabil este înscris';
+$lang['Email admins when a comment requires validation'] = 'Anunță administratorii atunci cînd un comentariu necesită validare';
+$lang['Environment'] = 'Mediul';
+$lang['Form'] = 'Formular';
+$lang['Gallery URL'] = 'URL-ul galeriei';
+$lang['Gallery title'] = 'Titlul galeriei';
+$lang['Grant selected groups'] = 'Asigură accesul la grupurile selectate';
+$lang['Grant selected users'] = 'Asigură accesul la utilizatorii selectați';
+$lang['Group name'] = 'Numele grupului';
+$lang['Groups'] = 'Grupuri';
+$lang['Guests'] = 'Invitați';
+$lang['History'] = 'Istoric';
+$lang['Informations'] = 'Informații';
+$lang['Install'] = 'Instalează';
+$lang['Link all album photos to a new album'] = 'Corelează toate photoele albumi la o nouă album';
+$lang['Link all album photos to some existing albums'] = 'Corelează toate photoele albumi la unele albums existente';
+$lang['Linked albums'] = 'albums corelate';
+$lang['Lock gallery'] = 'Blochează galeria';
+$lang['Maintenance'] = 'Întreţinere';
+$lang['Manage permissions for group "%s"'] = 'Gestionează permisiunile pentru grupul "%s"';
+$lang['Manage permissions for user "%s"'] = 'Gestionează permisiunile pentru utilizatorul "%s"';
+$lang['Manage tags'] = 'Gestionează etichetele';
+$lang['Members'] = 'Membrii';
+$lang['Metadata synchronized from file'] = 'Metadata sincronizate din fișier';
+$lang['Move albums'] = 'Deplasează albumsle';
+$lang['Move'] = 'Deplasează';
+$lang['Name'] = 'Nume';
+$lang['New name'] = 'Nume nou';
+$lang['New parent album'] = 'album mamă nouă';
+$lang['New tag'] = 'Etichetă nouă';
+$lang['Number of comments per page'] = 'Număr de comentarii pe pagină';
+$lang['Number of rates'] = 'Numărul evaluărilor';
+$lang['Number of thumbnails to create'] = 'Numărul miniaturilor de creat';
+$lang['Only private albums are listed'] = 'Doar albumsle private sunt enumerate';
+$lang['Operating system'] = 'Sistemul de operare';
+$lang['Options'] = 'Opțiuni';
+$lang['Other private albums'] = 'Alte albums private';
+$lang['Page banner'] = 'Panglica paginii';
+$lang['Parent album'] = 'album mamă';
+$lang['Path'] = 'Cale';
+$lang['Permalink'] = 'Permalink';
+$lang['Permalink %s has been previously used by album %s. Delete from the permalink history first'] = 'Permalink-ul %s a fost folosit în prealabil de album %s. Ștergeți permalink-ul din istoric mai întîi';
+$lang['The permalink name must be composed of a-z, A-Z, 0-9, "-", "_" or "/". It must not be numeric or start with number followed by "-"'] = 'Permalink-ul trebuie să conțină doar caractere alfanumerice de la a-z, A-Z, 0-9, "-", "_" sau "/". Nu trebuie să fie doar numeric sau să înceapă cu un număr urmat de "-"';
+$lang['Permalink %s is already used by album %s'] = 'Permalink-ul %s este deja folosit de album %s';
+$lang['Permalink history'] = 'Istoricul permalink-ului';
+$lang['Permalinks'] = 'Permalink-uri';
+$lang['Permission denied'] = 'Acces interzis';
+$lang['Permission granted thanks to a group'] = 'Accesul autorizat datorită apartenenței la un grup';
+$lang['Permission granted'] = 'Acces autorizat';
+$lang['Plugins'] = 'Plugin-uri';
+$lang['Position'] = 'Poziție';
+$lang['Preferences'] = 'Preferințe';
+$lang['Properties'] = 'Proprietăți';
+$lang['Random photo'] = 'Fotografie la nimereală';
+$lang['Rate date'] = 'Data evaluării';
+$lang['Rating by guests'] = 'Evaluat de invitați';
+$lang['Rating'] = 'Apreciere';
+$lang['Reject'] = 'Respinge';
+$lang['Representant'] = 'Reprezentant';
+$lang['Representation of albums'] = 'Reprezentarea albumslor';
+$lang['Representative'] = 'Reprezentativă';
+$lang['Represents'] = 'Reprezintă';
+$lang['Save order'] = 'Salvează ordinea';
+$lang['Save to permalink history'] = 'Salvare în istorie la permalinks';
+$lang['Select at least one album'] = 'Selectați cel puțin o album';
+$lang['Select at least one photo'] = 'Selectați cel puțin o fotografie';
+$lang['Select at least one user'] = 'Selectați cel puțin un utilizator';
+$lang['Show info'] = 'Afișare info';
+$lang['Site manager'] = 'Managerul site-ului';
+$lang['Status'] = 'Statut';
+$lang['Statistics'] = 'Statistici';
+$lang['Storage album'] = 'album depozitului';
+$lang['Sum of rates'] = 'Suma evaluarilor';
+$lang['Tag "%s" already exists'] = 'Eticheta "%s" există deja';
+$lang['Tag "%s" was added'] = 'Eticheta "%s" a fost adăugată';
+$lang['Tag selection'] = 'Selecționarea etichetei';
+$lang['The %d following tags were deleted'] = 'Următoarele %d etichete au fost șterse';
+$lang['Unable to check for upgrade.'] = 'Imposibil de verificat pentru upgrade.';
+$lang['Uninstall'] = 'Dezinstalează';
+$lang['User comments validation'] = 'Validarea comentariilor utilizatorilor';
+$lang['Users'] = 'Utilizatori';
+$lang['Validate'] = 'Validează';
+$lang['Validation'] = 'Validare';
+$lang['Version'] = 'Versiune';
+$lang['Virtual albums to move'] = 'albums virtuale de mutat';
+$lang['Virtual album name'] = 'Numele albumslor virtuale';
+$lang['Webmaster cannot be deleted'] = 'Utilizatorul Webmaster nu poate fi șters';
+$lang['You are running on development sources, no check possible.'] = 'Folosiți sursele de dezvoltare, nu e posibil de verificat.';
+$lang['You cannot delete your account'] = 'Nu puteți șterge contul dumneavoastră';
+$lang['You need to confirm deletion'] = 'Trebuie să confirmați ștergerea';
+$lang['add tags'] = 'adaugă etichete';
+$lang['associate to group'] = 'asociază grupului';
+$lang['Authorized'] = 'Autorizat';
+$lang['Add a virtual album'] = 'Adaugă o album virtuală';
+$lang['Authorize users to add comments on selected albums'] = 'Autorizați utilizatorii să adauge comentarii pe albumsle selectate';
+$lang['Lock albums'] = 'Blochează albumsle';
+$lang['Private'] = 'Privată';
+$lang['private'] = 'privată';
+$lang['Public'] = 'Publică';
+$lang['public'] = 'publică';
+$lang['Find a new representant by random'] = 'Găsiți un reprezentant aleatoriu nou';
+$lang['Public / Private'] = 'Public / Privat';
+$lang['Manage authorizations for selected albums'] = 'Administrează autorizațiile pentru albumsle selectate';
+$lang['Virtual album added'] = 'album virtuală adăugată';
+$lang['Virtual album deleted'] = 'album virtuală ștearsă';
+$lang['Access type'] = 'Metodă de acces';
+$lang['Comments'] = 'Comentarii';
+$lang['%d album including'] = '%d album includ';
+$lang['%d album moved'] = '%d album mutat';
+$lang['%d albums including'] = '%d albume includ';
+$lang['%d albums moved'] = '%d albume mutate';
+$lang['%d anomalies have been detected corrected.'] = '%d anomalii au fost detectate şi corectate.';
+$lang['%d anomalies have been detected.'] = '%d anomalii au fost detectate.';
+$lang['%d anomalies have been ignored.'] = '%d anomalii au fost ignorate.';
+$lang['%d anomalies have not been corrected.'] = '%d anomalii nu au fost corectate.';
+$lang['%d anomaly has been corrected.'] = '%d anomalie a fost corectată.';
+$lang['%d anomaly has been detected.'] = '%d anomalie a fost detectată.';
+$lang['%d anomaly has been ignored.'] = '%d anomalie a fost ignorată.';
+$lang['%d anomaly has not been corrected.'] = '%d anomalie nu a fost corectată.';
+$lang['%d guest'] = '%d invitat';
+$lang['%d guests'] = '%d invitaţi';
+$lang['%d line filtered'] = '%d linie filtrată';
+$lang['%d lines filtered'] = '%d linii filtrate';
+$lang['%d mail was not sent.'] = '%d mesaj nu a fost trimis.';
+$lang['%d mail was sent.'] = '%d mesaj a fost trimis.';
+$lang['%d mails were not sent.'] = '%d mesaje nu au fost trimise.';
+$lang['%d mails were sent.'] = '%d mesaje au fost trimise.';
+$lang['%d of %d photos selected'] = '%d din %d fotografii selectate';
+$lang['%d parameter was updated.'] = '%d parametru adus la zi.';
+$lang['%d parameters were updated.'] = '%d parametri aduşi la zi.';
+$lang['%d photo was deleted'] = '%d fotografie ştearsă';
+$lang['%d photos uploaded'] = '%d fotografii încărcate';
+$lang['%d photos were deleted'] = '%d fotografii şterse';
+$lang['ACCESS_0'] = 'Acces liber';
+$lang['ACCESS_1'] = 'Acces pentru toţi';
+$lang['ACCESS_2'] = 'Acces pentru utilizatorii înregistraţi';
+$lang['ACCESS_3'] = 'Acces pentru administratori';
+$lang['ACCESS_4'] = 'Acces pentru administratorii de site';
+$lang['ACCESS_5'] = 'Fără acces';
+$lang['Action'] = 'Acţiune';
+$lang['Activate field "%s"'] = 'Activează câmpul "%s"';
+$lang['Activate icon "%s"'] = 'Activează pictograma "%s"';
+$lang['Activate Navigation Bar'] = 'Activează bara de navigaţie';
+$lang['Activate Navigation Thumbnails'] = 'Activează miniaturile de navigare';
+$lang['Activate icon "new" next to albums and pictures'] = 'Activează pctograma "nou" lângă albume şi fotografii';
+$lang['Active Languages'] = 'Limbi active';
+$lang['Active Plugins'] = 'Conectori activi';
+$lang['Active Themes'] = 'Teme active';
+$lang['Add a criteria'] = 'Adaugă un criteriu';
+$lang['Add a filter'] = 'Adaugă un filtru';
+$lang['Add a virtual album'] = 'Adaugă un album virtual';
+$lang['Add another set of photos'] = 'Adaugă un nou set de fotografii';
+$lang['Add detailed content'] = 'Adaugă conţinut detaliat';
+$lang['Add New Language'] = 'Adaugă o limbă nouă';
+$lang['add new photos to caddie'] = 'adauga fotografii noi în coş';
+$lang['Add New Theme'] = 'Adaugă o temă nouă';
+$lang['Add Photos'] = 'Adaugă fotografii';
+$lang['Add write access to the "%s" directory'] = 'Adaugă drept de scriere în directorul "%s"';
+$lang['added'] = 'adăugat';
+$lang['Administration Home'] = 'Centrul de administrare';
+$lang['Advanced features'] = 'Opţiuni avansate';
+$lang['Album "%s" has been added'] = 'Albumul "%s" a fost adăugat';
+$lang['Album "%s" now contains %d photos'] = 'Albumul "%s" conţine acum %d fotografii';
+$lang['Album photos associated to the following albums: %s'] = 'Fotografii asociate următoarelor albume: %s';
+$lang['Album list management'] = 'Administrarea listei de albume';
+$lang['Album manual order was saved'] = 'Ordinea manuală a albumelor a fost salvată';
+$lang['Album name'] = 'Nume album';
+$lang['Album updated successfully'] = 'Album adus la zi cu succes';
+$lang['albums added in the database'] = 'albume adăugate în baza de date';
+
+//mel le 28/6/11 à andrei.staicu@gmail.com
+
+?>
Index: /trunk/language/ro_RO/common.lang.php
===================================================================
--- /trunk/language/ro_RO/common.lang.php	(revision 11635)
+++ /trunk/language/ro_RO/common.lang.php	(revision 11636)
@@ -1,12 +1,9 @@
 <?php
 // +-----------------------------------------------------------------------+
-// | PhpWebGallery - a PHP based picture gallery                           |
-// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
-// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// | Piwigo - a PHP based photo gallery                                    |
 // +-----------------------------------------------------------------------+
-// | file          : $Id$
-// | last update   : $Date$
-// | last modifier : $Author$
-// | revision      : $Revision$
+// | Copyright(C) 2008-2011 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
Index: /trunk/language/ro_RO/index.php
===================================================================
--- /trunk/language/ro_RO/index.php	(revision 11635)
+++ /trunk/language/ro_RO/index.php	(revision 11636)
@@ -1,12 +1,9 @@
 <?php
 // +-----------------------------------------------------------------------+
-// | PhpWebGallery - a PHP based picture gallery                           |
-// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
-// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// | Piwigo - a PHP based photo gallery                                    |
 // +-----------------------------------------------------------------------+
-// | file          : $Id$
-// | last update   : $Date$
-// | last modifier : $Author$
-// | revision      : $Revision$
+// | Copyright(C) 2008-2011 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |