Index: /trunk/language/cs_CZ/admin.lang.php
===================================================================
--- /trunk/language/cs_CZ/admin.lang.php	(revision 11640)
+++ /trunk/language/cs_CZ/admin.lang.php	(revision 11641)
@@ -799,5 +799,5 @@
 $lang['Default photos order'] = 'Výchozí pořadí fotografií';
 $lang['Restore'] = 'Obnovit';
-$lang['Restore default configuration. You will lost your plugin settings!'] = 'Obnovit výchozí konfiguraci. Přijdete o nastavení v pluginech!';
+$lang['Restore default configuration. You will lose your plugin settings!'] = 'Obnovit výchozí konfiguraci. Přijdete o nastavení v pluginech!';
 $lang['Show menubar'] = 'Zobrazit menu';
 $lang['Regenerate Thumbnails'] = 'Regenerovat Náhledy';
Index: /trunk/language/de_DE/admin.lang.php
===================================================================
--- /trunk/language/de_DE/admin.lang.php	(revision 11640)
+++ /trunk/language/de_DE/admin.lang.php	(revision 11641)
@@ -806,5 +806,5 @@
 $lang['Default photos order'] = 'Voreingestellte Fotoanordnung';
 $lang['Restore'] = 'Zurücksetzen';
-$lang['Restore default configuration. You will lost your plugin settings!'] = 'Zurücksetzen auf Standartkonfiguration. Alle Einstellungen in diesem Plugin gehen verloren!';
+$lang['Restore default configuration. You will lose your plugin settings!'] = 'Zurücksetzen auf Standartkonfiguration. Alle Einstellungen in diesem Plugin gehen verloren!';
 $lang['Show menubar'] = 'Zeige die Menübar';
 $lang['Updates'] = 'Aktualisierungen';
Index: /trunk/language/en_UK/admin.lang.php
===================================================================
--- /trunk/language/en_UK/admin.lang.php	(revision 11640)
+++ /trunk/language/en_UK/admin.lang.php	(revision 11641)
@@ -578,5 +578,5 @@
 $lang['Resize'] = 'Resize';
 $lang['Restore'] = "Restore";
-$lang['Restore default configuration. You will lost your plugin settings!'] = "Restore default configuration. You will lost your plugin settings!";
+$lang['Restore default configuration. You will lose your plugin settings!'] = "Restore default configuration. You will lose your plugin settings!";
 $lang['Results of miniaturization'] = "Miniaturization process results";
 $lang['Save order'] = "Save order";
Index: /trunk/language/fr_CA/admin.lang.php
===================================================================
--- /trunk/language/fr_CA/admin.lang.php	(revision 11640)
+++ /trunk/language/fr_CA/admin.lang.php	(revision 11641)
@@ -799,5 +799,5 @@
 $lang['Complete'] = "Complet";
 $lang['Restore'] = "Restaurer";
-$lang['Restore default configuration. You will lost your plugin settings!'] = "Restaurer la configuration par défaut? Vous perdrez vos réglages personnels !";
+$lang['Restore default configuration. You will lose your plugin settings!'] = "Restaurer la configuration par défaut? Vous perdrez vos réglages personnels !";
 $lang['Show menubar'] = "Afficher le menu";
 ?>
Index: /trunk/language/fr_FR/admin.lang.php
===================================================================
--- /trunk/language/fr_FR/admin.lang.php	(revision 11640)
+++ /trunk/language/fr_FR/admin.lang.php	(revision 11641)
@@ -798,5 +798,5 @@
 $lang['Complete'] = "Complet";
 $lang['Restore'] = "Restaurer";
-$lang['Restore default configuration. You will lost your plugin settings!'] = "Restaurer la configuration par défaut? Vous perdrez vos réglages personnels !";
+$lang['Restore default configuration. You will lose your plugin settings!'] = "Restaurer la configuration par défaut? Vous perdrez vos réglages personnels !";
 $lang['Regenerate Thumbnails'] = 'Régénérer les miniatures';
 $lang['Regenerate Websize Photos'] = 'Régénérer les photos taille web';
Index: /trunk/language/he_IL/admin.lang.php
===================================================================
--- /trunk/language/he_IL/admin.lang.php	(revision 11640)
+++ /trunk/language/he_IL/admin.lang.php	(revision 11641)
@@ -809,5 +809,5 @@
 $lang['Default photos order'] = 'סדר ברירת מחדל לתמונות';
 $lang['Restore'] = 'שחזר';
-$lang['Restore default configuration. You will lost your plugin settings!'] = 'שחזר להגדרות ברירת מחדל. הגדרות ההתקן יאבדו!';
+$lang['Restore default configuration. You will lose your plugin settings!'] = 'שחזר להגדרות ברירת מחדל. הגדרות ההתקן יאבדו!';
 $lang['Show menubar'] = 'הצג תפריט';
 $lang['Regenerate Thumbnails'] = 'חידוש תמונות ממוזערות';
Index: /trunk/language/hu_HU/admin.lang.php
===================================================================
--- /trunk/language/hu_HU/admin.lang.php	(revision 11640)
+++ /trunk/language/hu_HU/admin.lang.php	(revision 11641)
@@ -799,5 +799,5 @@
 $lang['Deactivate all'] = 'Összes kikapcsolása';
 $lang['Restore'] = 'Visszaállítás';
-$lang['Restore default configuration. You will lost your plugin settings!'] = 'Alapértelmezett beállítások visszaállítása. Figyelem, a bővítmény módosításai elvesznek!';
+$lang['Restore default configuration. You will lose your plugin settings!'] = 'Alapértelmezett beállítások visszaállítása. Figyelem, a bővítmény módosításai elvesznek!';
 $lang['Restore default configuration. You will lost all your settings !'] = 'Alapértelmezett beállítások visszaállítása. Figyelem, a módosítások elvesznek!';
 $lang['Show menubar'] = 'Menüsáv megjelenítése';
Index: /trunk/language/it_IT/admin.lang.php
===================================================================
--- /trunk/language/it_IT/admin.lang.php	(revision 11640)
+++ /trunk/language/it_IT/admin.lang.php	(revision 11641)
@@ -798,5 +798,5 @@
 $lang['Complete'] = 'Completo';
 $lang['Restore'] = 'Restaurare';
-$lang['Restore default configuration. You will lost your plugin settings!'] = 'Reimpostare la configurazione di defaut? Perderete tutte le vostre impostazioni!';
+$lang['Restore default configuration. You will lose your plugin settings!'] = 'Reimpostare la configurazione di defaut? Perderete tutte le vostre impostazioni!';
 $lang['Regenerate Thumbnails'] = 'Rigenerare le miniature';
 $lang['Regenerate Websize Photos'] = 'Rigenerare le foto dimensioni web';
Index: /trunk/language/lv_LV/admin.lang.php
===================================================================
--- /trunk/language/lv_LV/admin.lang.php	(revision 11640)
+++ /trunk/language/lv_LV/admin.lang.php	(revision 11641)
@@ -796,5 +796,5 @@
 $lang['Default photos order'] = 'Foto kārtojums pēc noklusējuma';
 $lang['Restore'] = 'Atjaunot';
-$lang['Restore default configuration. You will lost your plugin settings!'] = 'Atjaunot noklusējuma konfigurāciju. Jūs zaudēsit savus spraudņa iestatījumus!';
+$lang['Restore default configuration. You will lose your plugin settings!'] = 'Atjaunot noklusējuma konfigurāciju. Jūs zaudēsit savus spraudņa iestatījumus!';
 $lang['Show menubar'] = 'Rādīt izvēles joslu';
 $lang['Updates'] = 'Jauninājumi';
Index: /trunk/language/nl_NL/admin.lang.php
===================================================================
--- /trunk/language/nl_NL/admin.lang.php	(revision 11640)
+++ /trunk/language/nl_NL/admin.lang.php	(revision 11641)
@@ -806,5 +806,5 @@
 $lang['Default photos order'] = 'Standaard foto volgorde';
 $lang['Restore'] = 'Herstel';
-$lang['Restore default configuration. You will lost your plugin settings!'] = 'Herstel de standaard instellingen. Je zal alle plugin instellingen kwijtraken!';
+$lang['Restore default configuration. You will lose your plugin settings!'] = 'Herstel de standaard instellingen. Je zal alle plugin instellingen kwijtraken!';
 $lang['Show menubar'] = 'Toon menubalk';
 $lang['Updates'] = 'Updates';
Index: /trunk/language/pl_PL/admin.lang.php
===================================================================
--- /trunk/language/pl_PL/admin.lang.php	(revision 11640)
+++ /trunk/language/pl_PL/admin.lang.php	(revision 11641)
@@ -796,5 +796,5 @@
 $lang['Default photos order'] = 'Domślne sortowanie zdjęć';
 $lang['Restore'] = 'Przywróć';
-$lang['Restore default configuration. You will lost your plugin settings!'] = 'Przywróć domyślną konfigurację. Stracisz ustawienia wtyczek!';
+$lang['Restore default configuration. You will lose your plugin settings!'] = 'Przywróć domyślną konfigurację. Stracisz ustawienia wtyczek!';
 $lang['Show menubar'] = 'Pokazuj belkę z menu';
 $lang['Regenerate Thumbnails'] = 'Twórz ponownie miniatury';
Index: /trunk/language/ru_RU/admin.lang.php
===================================================================
--- /trunk/language/ru_RU/admin.lang.php	(revision 11640)
+++ /trunk/language/ru_RU/admin.lang.php	(revision 11641)
@@ -795,5 +795,5 @@
 $lang['Default photos order'] = 'Порядок фотографий по умолчанию';
 $lang['Restore'] = 'Восстановить';
-$lang['Restore default configuration. You will lost your plugin settings!'] = 'Восстановление конфигурации по умолчанию. Ваши настройки плагинов будут потеряны!';
+$lang['Restore default configuration. You will lose your plugin settings!'] = 'Восстановление конфигурации по умолчанию. Ваши настройки плагинов будут потеряны!';
 $lang['Show menubar'] = 'Показать меню';
 $lang['Regenerate Thumbnails'] = 'Сгенерить миниатюры заново';
Index: /trunk/language/sk_SK/admin.lang.php
===================================================================
--- /trunk/language/sk_SK/admin.lang.php	(revision 11640)
+++ /trunk/language/sk_SK/admin.lang.php	(revision 11641)
@@ -805,5 +805,5 @@
 $lang['Deactivate all'] = 'Ukončiť všetko';
 $lang['Restore'] = 'Obnoviť';
-$lang['Restore default configuration. You will lost your plugin settings!'] = 'Obnoviť východiskovú konfiguráciu. Stratíte nastavenia Vašich doplnkov!';
+$lang['Restore default configuration. You will lose your plugin settings!'] = 'Obnoviť východiskovú konfiguráciu. Stratíte nastavenia Vašich doplnkov!';
 $lang['Show menubar'] = 'Zobraziť menu';
 $lang['Updates'] = 'Aktualizácie';
Index: /trunk/language/sv_SE/admin.lang.php
===================================================================
--- /trunk/language/sv_SE/admin.lang.php	(revision 11640)
+++ /trunk/language/sv_SE/admin.lang.php	(revision 11641)
@@ -803,5 +803,5 @@
 $lang['Default photos order'] = 'Standardordning för bilder';
 $lang['Restore'] = 'Återställ';
-$lang['Restore default configuration. You will lost your plugin settings!'] = 'Återställ standardkonfiguration. Du kommer att förlora inställingarna för din plugins!';
+$lang['Restore default configuration. You will lose your plugin settings!'] = 'Återställ standardkonfiguration. Du kommer att förlora inställingarna för din plugins!';
 $lang['Show menubar'] = 'Visa verktygsfält';
 $lang['Updates'] = 'Uppdateringar';
Index: /trunk/language/tr_TR/admin.lang.php
===================================================================
--- /trunk/language/tr_TR/admin.lang.php	(revision 11640)
+++ /trunk/language/tr_TR/admin.lang.php	(revision 11641)
@@ -780,5 +780,5 @@
 $lang['Complete'] = 'Tamamı';
 $lang['Restore'] = 'Onarım';
-$lang['Restore default configuration. You will lost your plugin settings!'] = 'Varsayılan yapılandırmalarınızı onarın. Eklenti ayarlrınız kaybolacaktır!';
+$lang['Restore default configuration. You will lose your plugin settings!'] = 'Varsayılan yapılandırmalarınızı onarın. Eklenti ayarlrınız kaybolacaktır!';
 $lang['display'] = 'göster';
 $lang['Regenerate Thumbnails'] = 'Küçük Resimleri Tekrar Oluştur';
Index: /trunk/language/vi_VN/admin.lang.php
===================================================================
--- /trunk/language/vi_VN/admin.lang.php	(revision 11640)
+++ /trunk/language/vi_VN/admin.lang.php	(revision 11641)
@@ -802,5 +802,5 @@
 $lang['Deactivate all'] = 'Bỏ kích hoạt tất cả';
 $lang['Restore'] = 'Phục hồi';
-$lang['Restore default configuration. You will lost your plugin settings!'] = 'Khôi phục lại cấu hình mặc định. Các thiết lập cho plugin sẽ bị mất!';
+$lang['Restore default configuration. You will lose your plugin settings!'] = 'Khôi phục lại cấu hình mặc định. Các thiết lập cho plugin sẽ bị mất!';
 $lang['Show menubar'] = 'Hiển thị thanh trình đơn';
 $lang['Updates'] = 'Bản cập nhật';