Index: /extensions/GooglePlusOne/language/lv_LV/plugin.lang.php
===================================================================
--- /extensions/GooglePlusOne/language/lv_LV/plugin.lang.php	(revision 11643)
+++ /extensions/GooglePlusOne/language/lv_LV/plugin.lang.php	(revision 11644)
@@ -1,5 +1,5 @@
 <?php
 
-$lang['Button position on picture page'] = 'Pogas pozīcija attēla lapā'
+$lang['Button position on picture page'] = 'Pogas pozīcija attēla lapā';
 $lang['Top'] = 'Augšā';
 $lang['Bottom'] = 'Apakšā';
Index: /extensions/GooglePlusOne/language/nl_NL/description.txt
===================================================================
--- /extensions/GooglePlusOne/language/nl_NL/description.txt	(revision 11644)
+++ /extensions/GooglePlusOne/language/nl_NL/description.txt	(revision 11644)
@@ -0,0 +1,1 @@
+Voeg een "Delen op Twitter" knop toe aan afbeeldingspagina's
Index: /extensions/GooglePlusOne/language/nl_NL/index.php
===================================================================
--- /extensions/GooglePlusOne/language/nl_NL/index.php	(revision 11644)
+++ /extensions/GooglePlusOne/language/nl_NL/index.php	(revision 11644)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/GooglePlusOne/language/nl_NL/plugin.lang.php
===================================================================
--- /extensions/GooglePlusOne/language/nl_NL/plugin.lang.php	(revision 11644)
+++ /extensions/GooglePlusOne/language/nl_NL/plugin.lang.php	(revision 11644)
@@ -0,0 +1,7 @@
+<?php
+
+$lang['Top'] = 'Boven';
+$lang['Bottom'] = 'Onder';
+$lang['Toolbar'] = 'Werkbalk';
+
+?>
Index: /extensions/GooglePlusOne/language/ru_RU/index.php
===================================================================
--- /extensions/GooglePlusOne/language/ru_RU/index.php	(revision 11644)
+++ /extensions/GooglePlusOne/language/ru_RU/index.php	(revision 11644)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/GooglePlusOne/language/ru_RU/plugin.lang.php
===================================================================
--- /extensions/GooglePlusOne/language/ru_RU/plugin.lang.php	(revision 11644)
+++ /extensions/GooglePlusOne/language/ru_RU/plugin.lang.php	(revision 11644)
@@ -0,0 +1,8 @@
+<?php
+
+$lang['Button position on picture page'] = 'Положение кнопки на странице с фотографией';
+$lang['Top'] = 'Сверху';
+$lang['Bottom'] = 'Внизу';
+$lang['Toolbar'] = 'На панели инструментов';
+
+?>
Index: /extensions/GooglePlusOne/language/sk_SK/description.txt
===================================================================
--- /extensions/GooglePlusOne/language/sk_SK/description.txt	(revision 11644)
+++ /extensions/GooglePlusOne/language/sk_SK/description.txt	(revision 11644)
@@ -0,0 +1,1 @@
+Pridanie "Twitter zdieľanie" tlačidla na stránkach fotiek
Index: /extensions/GooglePlusOne/language/sk_SK/index.php
===================================================================
--- /extensions/GooglePlusOne/language/sk_SK/index.php	(revision 11644)
+++ /extensions/GooglePlusOne/language/sk_SK/index.php	(revision 11644)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/GooglePlusOne/language/sk_SK/plugin.lang.php
===================================================================
--- /extensions/GooglePlusOne/language/sk_SK/plugin.lang.php	(revision 11644)
+++ /extensions/GooglePlusOne/language/sk_SK/plugin.lang.php	(revision 11644)
@@ -0,0 +1,7 @@
+<?php
+
+$lang['Top'] = 'Hore';
+$lang['Bottom'] = 'Dole';
+$lang['Toolbar'] = 'Lišta nástrojov';
+
+?>
Index: /extensions/GooglePlusOne/language/sv_SE/description.txt
===================================================================
--- /extensions/GooglePlusOne/language/sv_SE/description.txt	(revision 11644)
+++ /extensions/GooglePlusOne/language/sv_SE/description.txt	(revision 11644)
@@ -0,0 +1,1 @@
+Lägg till en "Tweet-knapp" på bildsidor
Index: /extensions/GooglePlusOne/language/sv_SE/index.php
===================================================================
--- /extensions/GooglePlusOne/language/sv_SE/index.php	(revision 11644)
+++ /extensions/GooglePlusOne/language/sv_SE/index.php	(revision 11644)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/GooglePlusOne/language/sv_SE/plugin.lang.php
===================================================================
--- /extensions/GooglePlusOne/language/sv_SE/plugin.lang.php	(revision 11644)
+++ /extensions/GooglePlusOne/language/sv_SE/plugin.lang.php	(revision 11644)
@@ -0,0 +1,7 @@
+<?php
+
+$lang['Top'] = 'Topp';
+$lang['Bottom'] = 'Botten';
+$lang['Toolbar'] = 'Verktygsfältet';
+
+?>