Index: /extensions/netinstall/trunk/language/nl_NL/iso.txt
===================================================================
--- /extensions/netinstall/trunk/language/nl_NL/iso.txt	(revision 11660)
+++ /extensions/netinstall/trunk/language/nl_NL/iso.txt	(revision 11660)
@@ -0,0 +1,1 @@
+Nederlands [NL]
Index: /extensions/netinstall/trunk/language/nl_NL/loader.lang.txt
===================================================================
--- /extensions/netinstall/trunk/language/nl_NL/loader.lang.txt	(revision 11660)
+++ /extensions/netinstall/trunk/language/nl_NL/loader.lang.txt	(revision 11660)
@@ -0,0 +1,62 @@
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+$lang['Piwigo NetInstall'] = 'Piwigo NetInstall';
+$lang['Welcome to NetInstall!'] = 'Welkom bij NetInstall!';
+$lang['Language'] = 'Taal';
+$lang['This tool is meant to retrieve the latest Piwigo archive and unzip it in your webspace.'] = 'Dit programma is bedoeld om de laatste Piwigo te verkrijgen en die uit te pakken in uw webruimte.';
+$lang['Right after then, you will be redirect to the Piwigo Setup Wizard.'] = 'Meteen daarna wordt u doorgestuurd naar de Piwigo Installatie Hulp.';
+
+$lang['Write access is needed'] = 'Schrijfrechten zijn noodzakelijk';
+$lang['It looks like NetInstall wont be able to write in the current directory, and this is required to follow on.'] = 'Het lijkt erop dat NetInstall niet kan schrijven in de huidige map, en dit is nodig om verder te kunnen gaan.';
+$lang['Please try to change the permissions to allow write access, then reload this page by hitting the Refresh button.'] = 'Probeer de rechten te wijzigen om schrijven toe te staan. Herlaad vervolgens de pagina door op de Verversknop te klikken.';
+$lang['Refresh'] = 'Ververs';
+
+$lang['PHP 5 is required'] = 'PHP 5 is noodzakelijk';
+$lang['It appears your webhost is currently running PHP %s.'] = 'Het lijkt erop dat uw webhost op het moment PHP %s draait.';
+$lang['NetInstall may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'] = 'NetInstall kan proberen uw configuratie om te zetten naar PHP 5 door het aanmaken of wijzigen van een .htaccess bestand.';
+$lang['Note you can change your configuration by yourself and restart NetInstall after that.'] = 'Merk op dat u de configuratie zelf kunt wijzigen en daarna NetInstall kunt herstarten.';
+$lang['Try to configure PHP 5'] = 'Probeer PHP 5 te configureren';
+
+$lang['Retrieve and unzip Piwigo'] = 'Verkrijg Piwigo en pak het uit';
+$lang['Destination:'] = 'Bestemming:';
+
+$lang['Sorry!'] = 'Sorry!';
+$lang['NetInstall was not able to configure PHP 5.'] = 'NetInstall was niet in staat om PHP 5 te configureren.';
+$lang["You may referer to your hosting provider's support and see how you could switch to PHP 5 by yourself."] = "U kunt proberen met ondersteuning van uw webhost handmatig over te gaan op PHP 5.";
+$lang['Hope to see you back soon.'] = 'We hopen u spoedig terug te zien.';
+
+$lang['It seems like a previous Piwigo installation is still sitting in that space.'] = 'Het lijkt erop dat er een oudere Piwigo installatie in map is.';
+$lang['You need to rename or remove it before we can go further...'] = 'U zult die moeten hernoemen of verwijderen voordat we verder kunnen...';
+$lang['Needed files are not present.'] = 'Benodigde bestanden zijn niet aanwezig.';
+$lang['Invalid zip file.'] = 'Ongeldig zipbestand.';
+$lang['It seems that the zip file was not extracted.'] = 'Het lijkt erop dat het zipbestand niet is uitgepakt.';
+
+$lang['Congratulations!'] = 'Gefeliciteerd!';
+$lang['Everything went fine. You are now ready to start the installation procedure.'] = 'Alles is goed gegaan. U kunt nu de installatieprocedure starten.';
+$lang['Install Piwigo now'] = 'Installeer Piwigo';
+$lang['An error occurred while grabbing the necessary files to go on.'] = 'Een fout is opgetreden tijdens het verkrijgen van de benodigde bestanden.';
+$lang['Something went wrong...'] = 'Er is een fout opgetreden...';
+$lang['What are you doing here that way ?!'] = 'Wat doet u nu?!';
+
+$lang['This loader was initialy coded for <a href="http://www.dotclear.net" title="Dotclear">Dotclear</a>. Thanks!'] = 'Deze lader was in eerste instantie geprogrammeerd voor <a href="http://www.dotclear.net" title="Dotclear">Dotclear</a>. Bedankt!';
+$lang['Need help ? Ask your question on <a href="%s">Piwigo message board</a>.'] = "Hulp nodig? Stel uw vraag op <a href=\"%s\">Piwigo forum</a>.";