Index: /extensions/gvideo/language/vi_VN/description.txt
===================================================================
--- /extensions/gvideo/language/vi_VN/description.txt	(revision 11662)
+++ /extensions/gvideo/language/vi_VN/description.txt	(revision 11662)
@@ -0,0 +1,1 @@
+Thêm phim từ Google, Dailymotion, Youtube, Wideo, Vimeo hoặc Wat.
Index: /extensions/gvideo/language/vi_VN/index.php
===================================================================
--- /extensions/gvideo/language/vi_VN/index.php	(revision 11662)
+++ /extensions/gvideo/language/vi_VN/index.php	(revision 11662)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
+// | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
+// | last modifier : $Author: rub $
+// | revision      : $Revision: 1912 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/gvideo/language/vi_VN/plugin.lang.php
===================================================================
--- /extensions/gvideo/language/vi_VN/plugin.lang.php	(revision 11662)
+++ /extensions/gvideo/language/vi_VN/plugin.lang.php	(revision 11662)
@@ -0,0 +1,41 @@
+<?php
+
+$lang['py_title'] = 'PYWaie GVideo';
+$lang['py_conf'] = 'Cấu hình';
+$lang['py_addvideo'] = 'Thêm phim';
+$lang['py_filename'] = 'Tập tin';
+$lang['py_url'] = 'Địa chỉ của phim';
+$lang['py_parent'] = 'Nhóm chính';
+$lang['py_thumb'] = 'Hình mô tả phim';
+$lang['py_no_thumb'] = 'Không có hình mô tả phim';
+$lang['py_thumb_from_server'] = 'Tải hình mô tả từ dịch vụ cung cấp phim';
+$lang['py_thumb_from_user'] = 'Tải hình mô tả từ máy của bạn:';
+$lang['py_add_band'] = 'Thêm băng chữ bên cạnh hình mô tả';
+$lang['py_thumb_resize'] = 'Điều chỉnh cỡ của hình mô tả';
+$lang['py_width'] = 'Chiều rộng';
+$lang['py_height'] = 'Chiều cao';
+$lang['py_start'] = 'Bắt đầu của phim';
+$lang['py_*'] = 'Thông tin bắt buộc phải có';
+$lang['py_autostart'] = 'Tự động mở phim';
+$lang['py_quality'] = 'Chất lượng';
+$lang['py_playermode'] = 'Chế độ xem';
+$lang['pybulle_reference'] = "Dán vào đây địa chỉ dẫn tới phim.<br>Các địa chỉ hợp lệ được lấy từ GoogleVideo, YouTube, DailyMotion, Wideo, Vimeo hoặc Wat. Ví dụ:<br><br>- > http://video.google.fr/videoplay?docid=4600755234172037942<br>- > http://www.youtube.com/watch?v=eUvApC0bwUk<br>- > http://www.dailymotion.com/video/x29fys_doorway<br>- > http://www.wideo.fr/video/iLyROoaftYvl.html<br>- > http://www.vimeo.com/1747316<br>-> http://www.wat.tv/video/abcd.html";
+$lang['pybulle_start'] = "Chọn thời điểm bắt đầu (tính bằng giây) của  phim.<br>Tùy chọn này chỉ có tác dụng với phim lấy từ GoogleVideo.";
+$lang['pybulle_categorie'] = "Nhóm chủ đạo của tập tin. Ở đây chỉ liệt kê ở đây các nhóm chính; các nhóm ảo sẽ được điều chỉnh sau.";
+$lang['pybulle_miniature'] = "Bạn có thể lấy các hình mô tả phim từ dịch vụ cung cấp phim. Mặc định thì hình mô tả có kích thước 320x240 từ Google, 320x240 từ Dailymotion, 130x97 từ Youtube, 154x114 từ Wideo và 200x150 từ Vimeo.<br><br>Bạn cũng có thể tải lên hình mô tả từ máy tính của bạn.<br><br>Dù thế nào thì bạn cũng có thể thay đổi cỡ của hình mô tả phim.";
+$lang['py_error1'] = 'Không thể tạo tập tin chứa phim vì không có trang web trên máy phục vụ.';
+$lang['py_error2'] = 'Không thể lưu vì bạn chưa điền đầy đủ các thông tin hợp lệ.';
+$lang['py_error3'] = 'Bạn phải cho biết thông tin ở những nơi đánh dấu sao *';
+$lang['py_error5'] = 'sai địa chỉ dẫn tới phim!';
+$lang['py_error6'] = 'tập tin "%s" đã có rồi.';
+$lang['py_error7'] = 'Không thể lưu vào tập tin "%s"';
+$lang['py_error8'] = 'hãy kiểm tra xem thư mục %s có được đặt quyền hợp lý (bằng chmod) hay chưa.';
+$lang['py_error9'] = 'Lỗi xảy ra khi tải / đổi cỡ của hình mô tả phim';
+$lang['py_error11'] = 'Đã có hình mô tả với cùng tên (%s)';
+$lang['py_error12'] = 'Chưa đầy đủ thông tin về hình mô tả.';
+$lang['py_info2'] = 'đã tải thành công hình mô tả lên máy phục vụ';
+$lang['py_info3'] = 'đã thêm thành công phim';
+$lang['py_info4'] = 'Đã lưu xong cấu hình.';
+$lang['py_show_file'] = '<a href="%s" class="externalLink">Xem phim</a>.';
+
+?>