Index: /extensions/gally/gally-default/language/sv_SE/theme.lang.php
===================================================================
--- /extensions/gally/gally-default/language/sv_SE/theme.lang.php	(revision 11668)
+++ /extensions/gally/gally-default/language/sv_SE/theme.lang.php	(revision 11669)
@@ -1,6 +1,6 @@
 <?php
+
 $lang['gally_action_ok'] = 'Åtgärden lyckades';
 $lang['gally_action_ko'] =  'Åtgärden misslyckades';
-
 
 $lang['gally_save_local_conf'] = 'Spara inställningar';
@@ -12,23 +12,16 @@
 $lang['gally_img_high_res_desc'] = 'Den här sidan låter dig definiera egenskaperna på användargränssnittet när du titta på en högupplöst bild';
 $lang['gally_img_interface_desc'] = 'Den här sidan låter dig definiera egenskaperna på användargränssnittet när du titta på en högupplöst bild';
-
 $lang['gally_img_other_desc'] = 'Den här sidan låter dig definiera olika egenskaper på användargränssnittet när du titta på en högupplöst bild';
-
 
 $lang['gally_default_zoom_size'] = 'Standard förstoringsgrad';
 $lang['gally_default_zoom_size_desc'] = 'Det här värdet visar vilken bildskärm som är standard när en högupplöst bild laddas';
-
 $lang['gally_defaultZoomSize_full'] = 'Verklig storlek (Om bilden inte får plats på bildskärmen, så är det möjligt att scrolla horisontellt och vertikalt)';
 $lang['gally_defaultZoomSize_fit'] = 'Bilden storleksanpassas för att få plats på bildskärmen';
 $lang['gally_display_high_res_icon'] = 'Ikon i verktygsfältet';
-
 $lang['gally_display_high_res_icon_desc'] = 'Om bilden har en version i högre upplösning, visa en ikon i verktygsfältet';
-
 $lang['gally_displayHighResIcon_yes'] = 'Visa ikon';
 $lang['gally_displayHighResIcon_no'] = 'Visa inte ikonen';
-
 $lang['gally_display_high_res_click_mode'] = 'Åtgärder associerade med högupplösta bilder';
 $lang['gally_display_high_res_click_mode_desc'] = 'Detta  val definierar hur gränssnittet beter sig när du klickar på en högupplöst bild';
-
 $lang['gally_highResClickMode_zoom'] = 'Ändra typen av förstoringsgrad (Verklig storlek / anpassad storlek)';
 $lang['gally_highResClickMode_close'] = 'Sluta visa bilden i högupplösning';
@@ -40,31 +33,38 @@
 $lang['gally_interface_on_image_never'] = 'Aldrig';
 
+$lang['gally_image_interface_hidden'] = 'Visa på startsida';
+$lang['gally_image_interface_hidden_desc'] = 'Här väljer du om gränssnittet skall visas när sidan laddas';
+$lang['gally_image_interface_hidden_no'] = 'Gränssnittet är synligt när sidan laddas';
+$lang['gally_image_interface_hidden_yes'] = 'Gränssnittet är inte synligt när sidan laddas, det blir synligt vid första händelse';
 
-// missing translations
-$lang['gally_image_interface_hidden'] = 'Display on loading page';
-$lang['gally_image_interface_hidden_desc'] = 'This option sets whether the interface should already be displayed when the page loads';
-$lang['gally_image_interface_hidden_no'] = 'The interface is visible at page load';
-$lang['gally_image_interface_hidden_yes'] = 'The interface is not visible on page load, it will be on the first trigger event';
 $lang['gally_interface_timer_delay'] = 'Timeout';
-$lang['gally_interface_timer_delay_desc'] = 'This option defines the idle time required before the interface is hidden';
-$lang['gally_meta_num_cols'] = 'Viewing metadata';
-$lang['gally_meta_num_cols_desc'] = 'This option sets the number of columns to use for displaying metadata';
-$lang['gally_columns'] = 'Number of columns';
-$lang['gally_display_banner'] = 'Display banner';
-$lang['gally_display_banner_desc'] = 'This option controls whether the banner of the site must be displayed when an image is viewed';
-$lang['gally_display_banner_yes'] = 'Show banner';
-$lang['gally_display_banner_no'] = 'Don\'t display banner';
-$lang['gally_image_auto_scroll'] = 'Management for panoramic images';
-$lang['gally_image_auto_scroll_desc'] = 'This option defines how to handle the display of wide images';
-$lang['gally_image_auto_scroll_yes'] = 'Automatic scrolling of the picture under the cursor';
-$lang['gally_image_auto_scroll_no'] = 'Manual scrolling of the picture';
-$lang['gally_image_auto_scroll_warning'] = 'This function is automatically disabled with MS Internet Explorer version of which is prior to 8';
-$lang['gally_image_simulate_high_res'] = 'Simulate the presence of a high resolution image for panoramic images';
-$lang['gally_image_interface_can_switch'] = 'Interface visibility mode';
-$lang['gally_image_interface_can_switch_desc'] = 'This option determines whether the interface is displayed continuously or if it can be hidden';
-$lang['gally_image_interface_can_switch_yes'] = 'The interface is visible only under the defined rules';
-$lang['gally_image_interface_can_switch_no'] = 'The interface is always visible';
-$lang['gally_display_banner_alternate'] = 'Display an alternative banner';
-$lang['gally_alternate_banner_content'] = 'Alternative banner content:';
+$lang['gally_interface_timer_delay_desc'] = 'Denna inställning visar väntetiden innan gränssnittet göms';
+
+$lang['gally_meta_num_cols'] = 'Visar metadata';
+$lang['gally_meta_num_cols_desc'] = 'Denna inställning visar antal kolumner som används för att visa metadata';
+$lang['gally_columns'] = ' Antal kolumner ';
+
+$lang['gally_display_banner'] = 'Visa banderoll';
+$lang['gally_display_banner_desc'] = 'Denna inställning kontrollerar om hemsidans banderoll skall synas när bilden visas';
+$lang['gally_display_banner_yes'] = 'Visa banderoll';
+$lang['gally_display_banner_no'] = 'Visa inte banderoll';
+
+
+$lang['gally_image_auto_scroll'] = 'Hantering av panoramabilder';
+$lang['gally_image_auto_scroll_desc'] = 'Denna inställning definierar hur breda bilder skall hanteras vid visning';
+$lang['gally_image_auto_scroll_yes'] = 'Automatisk rullning av bilder under muspekaren';
+$lang['gally_image_auto_scroll_no'] = 'Manuell rullning av bilden';
+$lang['gally_image_auto_scroll_warning'] = 'Denna funktion fungerar inte med MS Internet Explorer versioner före 8';
+
+// v1.3.1
+$lang['gally_image_simulate_high_res'] = 'Simulera hög upplösning för panoramabilder';
+
+// v1.3.5
+$lang['gally_image_interface_can_switch'] = 'Gränssnittets synlighetsläge';
+$lang['gally_image_interface_can_switch_desc'] = 'Denna inställning visar om gränssnittet skall visas kontinuerligt eller det kan gömmas';
+$lang['gally_image_interface_can_switch_yes'] = 'Gränssnittet visas endast enligt definierade regler';
+$lang['gally_image_interface_can_switch_no'] = 'Gränssnittet är alltid synligt';
+$lang['gally_display_banner_alternate'] = 'Visa alternativ banderoll';
+$lang['gally_alternate_banner_content'] = 'Alternativt banderollinnehåll:'; 
 
 ?>