Index: /extensions/AddInfousers/language/de_DE/description.txt
===================================================================
--- /extensions/AddInfousers/language/de_DE/description.txt	(revision 11670)
+++ /extensions/AddInfousers/language/de_DE/description.txt	(revision 11670)
@@ -0,0 +1,1 @@
+Fügt dem Benutzerprofil 7 konfiguierbare Textfelder hinzu.
Index: /extensions/AddInfousers/language/de_DE/index.php
===================================================================
--- /extensions/AddInfousers/language/de_DE/index.php	(revision 11670)
+++ /extensions/AddInfousers/language/de_DE/index.php	(revision 11670)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/AddInfousers/language/de_DE/plugin.lang.php
===================================================================
--- /extensions/AddInfousers/language/de_DE/plugin.lang.php	(revision 11670)
+++ /extensions/AddInfousers/language/de_DE/plugin.lang.php	(revision 11670)
@@ -0,0 +1,39 @@
+<?php
+//ADMIN
+$lang['addinfousers_h2'] = 'Verwaltung der zusätzlichen Informationen der Benutzerprofile';
+$lang['addinfousers_complete'] = 'Zusätzliche Informationen';
+
+//Hilfe
+$lang['addinfousers_explication'] = 'Was macht dieses Plugin?';
+$lang['addinfousers_explication_help'] = 'Dieses Plugin ermöglicht es, 7 zusätzliche Infofelder in den Benutzerprofilen und bei der Registrierung zu verwalten. <br> Standardmäßig sind die 7 Infofelder mit den Bezeichnern "Name", "Vorname", etc. belegt.';
+$lang['addinfousers_explication_update_non'] = 'Konfiguration der Bezeichner "Name", "Vorname",..., INFO5, INFO6, INFO7';
+$lang['addinfousers_explication_update_non_help'] = 'Um die Bezeichnungen der Infofelder zu ändern, müssen sie auf dem Server in der Datei <br> plugins/AddInfousers/language/de_DE/plugin.lang.php <br> die folgenden Zeilen editieren: \';<br>
+$lang[\'addinfousers_info1\'] = \'Bezeichner für Infofeld 1\'; <br>
+$lang[\'addinfousers_info2\'] = \'Bezeichner für Infofeld 2\'; <br>
+$lang[\'addinfousers_info3\'] = \'Bezeichner für Infofeld 3\'; <br>
+$lang[\'addinfousers_info4\'] = \'Bezeichner für Infofeld 4\'; <br>
+$lang[\'addinfousers_info5\'] = \'Bezeichner für Infofeld 5\'; <br>
+$lang[\'addinfousers_info6\'] = \'Bezeichner für Infofeld 6\'; <br>
+$lang[\'addinfousers_info7\'] = \'Bezeichner für Infofeld 7\'; <br>
+';
+$lang['addinfousers_explication_cache_info'] = 'Ausgewählte Informationen nicht verwenden.';
+$lang['addinfousers_explication_cache_info_help'] = 'Sie können einzelne Infofelder ausblenden, indem Sie an Ihre lokale CSS Datei die entsprechende Zeile anhängen:<br>
+#addinfouser_1 {display:none} <br>
+#addinfouser_2 {display:none} <br>
+#addinfouser_3 {display:none} <br>
+#addinfouser_4 {display:none} <br>
+#addinfouser_5 {display:none} <br>
+#addinfouser_6 {display:none} <br>
+#addinfouser_7 {display:none} <br>
+';
+
+//onglet addinfo et admin info
+$lang['addinfousers_info1'] = 'Name';
+$lang['addinfousers_info2'] = 'Vornamen';
+$lang['addinfousers_info3'] = 'Adresse';
+$lang['addinfousers_info4'] = 'Land';
+$lang['addinfousers_info5'] = 'INFO5';
+$lang['addinfousers_info6'] = 'INFO6';
+$lang['addinfousers_info7'] = 'INFO7';
+
+?>